from xmc.tools import dynamicImport

class EstimationAssembler():
    """
    The class implements what is needed to produce the final estimations desired
    from the Monte Carlo method, given the statistical estimations provided by
    each index.
    """

    def __init__(self,**keywordArgs):
        # Attributes
        self.parameters = keywordArgs.get("parameters",None)

        # Methods
        self.assembleEstimation = dynamicImport(keywordArgs.get('assembleEstimation'))
